%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function is used to copy part of image according to it's symetric part
% Inputs: 
%   orgImg - matrix of the original image
%   foldType - 1) 'r2l' - horizontal symetry, copy right part of the image to left part
%              2) 'u2d' - vertical symetry, copy up part of the image to down part
% Outputs:
%   outputImag - the matrix of the result matrix
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [outputImg] = getFoldImg (orgImg, foldType)
    length = size(orgImg,1);
    width = size(orgImg,2);
    
    outputImg = orgImg;
    if foldType == 'r2l' % horizontal symetry, copy right part of the image to left part
        for i = 1:length
            for j = 1:width/2
                outputImg(i, j, :)=orgImg(i, width+1-j, :);
            end
        end
    else if foldType == 'u2d' % vertical symetry, copy up part of the image to down part
            for i = 1:width
                for j = 1:length/2
                    outputImg(length+1-j, i, :)=orgImg(j, i, :);
                end
            end
        end
    end
