%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This function is used to super impose an small image on a big image according to the center 
% position of the smallImage. 
% Inputs: 
%   smallImg - matrix of the small image
%   bigImg - matrix of the big image
%   smallCenter - the vector of center position
% Outputs:
%   outputImag - the matrix of the result matrix
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [outputImg] = superImpose (smallImg, bigImg, smallCenter)

    smallLength = size(smallImg,1);
    smallWidth = size(smallImg,2);
    
    bigRowTop = smallCenter(1) - floor(smallLength/2) + 1;
    bigColLeft = smallCenter(2) - floor(smallWidth/2) + 1;
    
    bigImg(bigRowTop:bigRowTop+smallLength-1, bigColLeft:bigColLeft+smallWidth-1, :)=smallImg;
    outputImg = bigImg;
